from dataclasses import dataclass, field

from .base import Paysite, Service_Post, Service_User


@dataclass
class User(Service_User):
    def profile(self, artist: dict) -> str:
        return f"https://subscribestar.adult/{(artist or {}).get('id')}"


@dataclass
class Post(Service_Post):
    def link(self, post_id: str, user_id: str) -> str:
        return f"https://subscribestar.adult/posts/{post_id}"


@dataclass
class Subscribestar(Paysite):
    name: str = "subscribestar"
    title: str = "SubscribeStar"
    user: User = field(default_factory=User)
    post: Post = field(default_factory=Post)
    color: str = "#009688"
